/**
* visibility_order(+Access1, +Access2)
*
* < Relationship for visibility.
* (private < package < protected < public)
*/
visibility_order(private, package).
visibility_order(private, protected).
visibility_order(private, public).

visibility_order(package, protected).
visibility_order(package, public).

visibility_order(protected, public).