/**
* field_write_access(?GetFieldID)
*
* indicates if a field access (getFieldT) is write access.
*/
field_write_access(GetFieldID) :-
    getFieldT(GetFieldID, ParentID, MethodID, _, _, _),
    assignT(ParentID, _, MethodID, GetFieldID, _).

field_write_access(GetFieldID) :-
    getFieldT(GetFieldID, ParentID, MethodID, _, _, _),
    operationT(ParentID, _, MethodID, [GetFieldID], _, 1).

field_write_access(GetFieldID) :-
    getFieldT(GetFieldID, ParentID, MethodID, _, _, _),
    operationT(ParentID, _, MethodID, [GetFieldID], _, -1).