/** 
 * is_test_method(+MethodID)
 *
 * True, if MethodID 
 *   - begins with "test"
 *   - isSubtype the TestCase-Class
 *   - has no return values (void)
 */
is_test_method(MethodID) :-
    methodDef(MethodID,ClassID,MethodName,[],type(basic, void, 0),_,_),
    atom_concat('test',_,MethodName), % TestMethod begins with "test"
    test_class(ClassID).   