%method_pairs_of_class(sorted,?MethodsOfClass,-Pairs)
methodpairs_of_class(sorted,ClassId,Pairs):-
    internal_type(ClassId),
    all_normal_methods_of_class(ClassId,MethodsOfClass),
	findall(SortedPair, 
        ( member(MethodA,MethodsOfClass),
          member(MethodB,MethodsOfClass),
          not(MethodA=MethodB),
          sort([MethodA,MethodB],SortedPair)
        ),
        PairsUnsorted),
	sort(PairsUnsorted,Pairs).
	
%method_pairs_of_class_sorted(raw,?MethodsOfClass,-Pairs)
methodpairs_of_class(raw,ClassId,Pairs):-
    internal_type(ClassId),
    all_normal_methods_of_class(ClassId,MethodsOfClass),
	findall([MethodA,MethodB], 
            (member(MethodA,MethodsOfClass),
             member(MethodB,MethodsOfClass),
             not(MethodA=MethodB)),
            Pairs
           ).