:- multifile query_description/3.
:- multifile metric_/3.
:- multifile metric_attributes/2.

query_description(lcom3,metric, 'number of connected components').
metric_attributes(lcom3, int(range(0,infinity),defaultthresholds(0,infinity))).

metric_(lcom3,ClassId,Value):-
    normal_class(ClassId),
    get_graph_(lcom3,adjazenzlist,ClassId,[_,AdjazenzGraph]),	
	compute_connected_components_(AdjazenzGraph,ConnectedComponents),
	length(ConnectedComponents,Value).