
%:- module( cultivate_concepts_general, [ 
%				dependency_termbased/2,
%				depend_terms_for_packages/3]).
				


:- use_module(creation).
:- use_module(term_metamodel).
%:- use_module(term_occurrence_computation).
%:- use_module(term_introduction).

:- use_module(collocations).

:- multifile cultivate_basic_caching:clear_query_cache/1.

cultivate_basic_caching:clear_query_cache(concepts) :-
    clear_term_cache, 
    clear_term_metrics.
    
is_interface_level(Id) :-
     packageT(Id,_).
is_interface_level(Id) :-
     classT(Id, _, _, _).    
is_interface_level(Id) :-
     fieldT(Id, _,_, _, _).    
is_interface_level(Id) :-
 	 methodT(Id,_, _, _,_,_,_).
is_interface_level(Id) :-
 	 constructorT(Id,_,_,_,_).
is_interface_level(Id) :-
	 paramT(Id,Encl,_,_),
	 methodT(Encl,_, _, _,_,_,_).    
is_interface_level(Id) :-
     paramT(Id,Encl,_,_),
 	 constructorT(Encl,_,_,_,_).