/**
* method_contains_localclass(+Method, ?LocalClass)
* succeeds if method with ID Arg1 contains a local class with ID Arg2
*/
method_contains_localclass(Method, LocalClass) :-
   methodDef(Method, _, _, _, _, _, _),  
   ri_newClassT_encl(Method,ConstructorCall),
   ri_classT_parent(ConstructorCall, LocalClass).

method_contains_localclass(Method, LocalClass) :-
   methodDef(Method, _, _, _, _, _, _),  
   ri_execT_encl(Method, Statement),
   ri_classT_parent(Statement, LocalClass).
