/**
 * divide(+Divident, +Divisor, ?Quotient)
 * succeeds if divisor is not equal zero and quotient is the normal division of divident/divisor
 */     
divide(Divident,Divisor,Quotient) :-
    Divisor =\= 0,    
    Quotient is Divident / Divisor.     
    
/**
 * divide(+Divident,+Divisor,?Quotient,+Default)
 * if divisor is zero, succeeds if Quotient is Default
 * else normal division is used.
 */     
divide(_,0, Default, Default) :- !.
divide(Divident, Divisor, Quotient, _) :- divide(Divident, Divisor, Quotient).