/**
 * internal_package(?Package)
 *
 * Suceeds if all the types in the package are internal.
 * But the empty packages is not internal. 
 */
internal_package(Package) :-
    packageT(Package, _),
    once(package_contains_type(Package, Type)),
    forall(package_contains_type(Package, Type), not(externT(Type))).
